<?php
/**
 * @author Ulrich Hecht <ulrich.hecht@hecht-software.de>
 * @date 02/21/2017
 */

namespace AppBundle\Entity;

use Symfony\Component\Validator\Constraints as Assert;


class ContactRequest
{
    const MR = 1;
    const MRS = 2;

    /** @var int|null $salutation */
    private $salutation;

    /** @var string|null $firstName */
    private $firstName;

    /** @var string|null $lastName */
    private $lastName;

    /** @var string|null $streetAddress */
    private $streetAddress;

    /** @var string|null $zipCode */
    private $zipCode;

    /** @var string|null $city */
    private $city;

    /** @var int|null $nation */
    private $nation;

    /** @var string|null $phone */
    private $phone;

    /** @var string|null $mobilePhone */
    private $mobilePhone;

    /** @var string|null $email */
    private $email;

    /**
     * @var string|null $travelerCount */
    private $travelerCount;

    /** @var string|null $notes */
    private $notes;
    
    /** @var string|null $departure0 */
    private $departure0;
    
    /** @var string|null $departure1 */
    private $departure1;
    
    /** @var string|null $departure2 */
    private $departure2;
    
    /** @var \DateTime|null $start */
    private $start;
    
    /** @var \DateTime|null $end */
    private $end;

    private $acceptPrivacy = false;
    
    /**
     * @var int|null $duration
     * @Assert\Type(type="integer", message="Bitte geben Sie eine gültige Ganzzahl für die Dauer in Tagen ein")
     */
    private $duration;

    /**
     * @return int|null
     */
    public function getSalutation()
    {
        return $this->salutation;
    }

    /**
     * @param int|null $salutation
     */
    public function setSalutation($salutation)
    {
        $this->salutation = $salutation;
    }

    /**
     * @return null|string
     */
    public function getFirstName()
    {
        return $this->firstName;
    }

    /**
     * @param null|string $firstName
     */
    public function setFirstName($firstName)
    {
        $this->firstName = $firstName;
    }

    /**
     * @return null|string
     */
    public function getLastName()
    {
        return $this->lastName;
    }

    /**
     * @param null|string $lastName
     */
    public function setLastName($lastName)
    {
        $this->lastName = $lastName;
    }

    /**
     * @return null|string
     */
    public function getStreetAddress()
    {
        return $this->streetAddress;
    }

    /**
     * @param null|string $streetAddress
     */
    public function setStreetAddress($streetAddress)
    {
        $this->streetAddress = $streetAddress;
    }

    /**
     * @return null|string
     */
    public function getZipCode()
    {
        return $this->zipCode;
    }

    /**
     * @param null|string $zipCode
     */
    public function setZipCode($zipCode)
    {
        $this->zipCode = $zipCode;
    }

    /**
     * @return null|string
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param null|string $city
     */
    public function setCity($city)
    {
        $this->city = $city;
    }

    /**
     * @return int|null
     */
    public function getNation()
    {
        return $this->nation;
    }

    /**
     * @param int|null $nation
     */
    public function setNation($nation)
    {
        $this->nation = $nation;
    }

    /**
     * @return null|string
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @param null|string $phone
     */
    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    /**
     * @return null|string
     */
    public function getMobilePhone()
    {
        return $this->mobilePhone;
    }

    /**
     * @param null|string $mobilePhone
     */
    public function setMobilePhone($mobilePhone)
    {
        $this->mobilePhone = $mobilePhone;
    }

    /**
     * @return null|string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param null|string $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return null|string
     */
    public function getTravelerCount()
    {
        return $this->travelerCount;
    }

    /**
     * @param null|string $travelerCount
     */
    public function setTravelerCount($travelerCount)
    {
        $this->travelerCount = $travelerCount;
    }

    /**
     * @return null|string
     */
    public function getNotes()
    {
        return $this->notes;
    }

    /**
     * @param null|string $notes
     */
    public function setNotes($notes)
    {
        $this->notes = $notes;
    }

    /**
     * @return null|string
     */
    public function getDeparture0()
    {
        return $this->departure0;
    }

    /**
     * @param null|string $departure0
     */
    public function setDeparture0($departure0)
    {
        $this->departure0 = $departure0;
    }

    /**
     * @return null|string
     */
    public function getDeparture1()
    {
        return $this->departure1;
    }

    /**
     * @param null|string $departure1
     */
    public function setDeparture1($departure1)
    {
        $this->departure1 = $departure1;
    }

    /**
     * @return null|string
     */
    public function getDeparture2()
    {
        return $this->departure2;
    }

    /**
     * @param null|string $departure2
     */
    public function setDeparture2($departure2)
    {
        $this->departure2 = $departure2;
    }

    /**
     * @return \DateTime|null
     */
    public function getStart()
    {
        return $this->start;
    }

    /**
     * @param \DateTime|null $start
     */
    public function setStart($start)
    {
        $this->start = $start;
    }

    /**
     * @return \DateTime|null
     */
    public function getEnd()
    {
        return $this->end;
    }

    /**
     * @param \DateTime|null $end
     */
    public function setEnd($end)
    {
        $this->end = $end;
    }

    /**
     * @return int|null
     */
    public function getDuration()
    {
        return $this->duration;
    }

    /**
     * @param int|null $duration
     */
    public function setDuration($duration)
    {
        $this->duration = $duration;
    }

      /**
     * @return mixed
     */
    public function isAcceptPrivacy()
    {
        return $this->acceptPrivacy;
    }

    /**
     * @param mixed $acceptPrivacy
     */
    public function setAcceptPrivacy($acceptPrivacy)
    {
        $this->acceptPrivacy = $acceptPrivacy;
    }
}